import Request from '../common/request.js';
let request = new Request().http

// 获取在线讲座列表
export function getOnlineLectureList(data) {
	return request('/store/app/onlineLecture/getList', data, 'GET');
}

// 获取开播链接
export function getBroadcastUrl(data) {
	return request('/store/app/onlineLecture/getBroadcastUrl', data, 'GET');
}

// 进入微信小程序
export function enterMiniProgram(data) {
	return request('/store/app/onlineLecture/enterMiniProgram', data, 'POST', 'application/json;charset=UTF-8');
}

// 开始直播
export function startBroadcast(data) {
	return request('/store/app/onlineLecture/startBroadcast', data, 'POST', 'application/json;charset=UTF-8');
}

// 继续直播
export function continueBroadcast(data) {
	return request('/store/app/onlineLecture/continueBroadcast', data, 'POST', 'application/json;charset=UTF-8');
}









